Creates a new device fingerprint factor used to resolve a SCA possession challenge type.
The request and response are encrypted using the JOSE framework. Please refer to the SCA over API guide to understand how encryption and decryption work.
Security
UserToken
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
- Production Environmenthttps://api.wise.com/v2/profiles/{profileId}/device-fingerprints
- Sandbox Environmenthttps://api.wise-sandbox.com/v2/profiles/{profileId}/device-fingerprints
curl -X POST \
'https://api.wise-sandbox.com/v2/profiles/{profileId}/device-fingerprints' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Accept: application/jose+json' \
-H 'Accept-Encoding: identity' \
-H 'Content-Type: application/jose+json' \
-H 'Content-Encoding: identity' \
-H 'X-tw-jose-method: jwe' \
-d 'eyJlbmMiOiJBMjU2R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.W0fuxaZOoyaBcx...'The device fingerprint has been successfully created.
Headers
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Response
{ "deviceFingerprintId": "636a5514-aa86-4719-8700-e9a9a0ae7ea7", "createdAt": "2025-05-24T07:27:58.273205554Z" }